IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/96
Addresses4,294,967,296
/64 networksPart of one
- Network
fe80:c25a:ec00:ec00:dd:df::/96- First address
fe80:c25a:ec00:ec00:dd:df::- Last address
fe80:c25a:ec00:ec00:dd:df:ffff:ffff- Addresses
- 4,294,967,296
- /64 networks (LANs)
- None: smaller than one /64 LAN
- Full form
fe80:c25a:ec00:ec00:00dd:00df:0000:0000- Type
- Link-local fe80::/10
Every IPv6 interface has one; not routed - Reverse DNS zone
f.d.0.0.d.d.0.0.0.0.c.e.0.0.c.e.a.5.2.c.0.8.e.f.ip6.arpa
Split into smaller subnets
fe80:c25a:ec00:ec00:dd:df::/96 makes 256 subnets of /104.
| # | Subnet | Last address |
|---|---|---|
| 1 | fe80:c25a:ec00:ec00:dd:df::/104 | fe80:c25a:ec00:ec00:dd:df:ff:ffff |
| 2 | fe80:c25a:ec00:ec00:dd:df:100:0/104 | fe80:c25a:ec00:ec00:dd:df:1ff:ffff |
| 3 | fe80:c25a:ec00:ec00:dd:df:200:0/104 | fe80:c25a:ec00:ec00:dd:df:2ff:ffff |
| 4 | fe80:c25a:ec00:ec00:dd:df:300:0/104 | fe80:c25a:ec00:ec00:dd:df:3ff:ffff |
| 5 | fe80:c25a:ec00:ec00:dd:df:400:0/104 | fe80:c25a:ec00:ec00:dd:df:4ff:ffff |
| 6 | fe80:c25a:ec00:ec00:dd:df:500:0/104 | fe80:c25a:ec00:ec00:dd:df:5ff:ffff |
| 7 | fe80:c25a:ec00:ec00:dd:df:600:0/104 | fe80:c25a:ec00:ec00:dd:df:6ff:ffff |
| 8 | fe80:c25a:ec00:ec00:dd:df:700:0/104 | fe80:c25a:ec00:ec00:dd:df:7ff:ffff |
| 9 | fe80:c25a:ec00:ec00:dd:df:800:0/104 | fe80:c25a:ec00:ec00:dd:df:8ff:ffff |
| 10 | fe80:c25a:ec00:ec00:dd:df:900:0/104 | fe80:c25a:ec00:ec00:dd:df:9ff:ffff |
| 11 | fe80:c25a:ec00:ec00:dd:df:a00:0/104 | fe80:c25a:ec00:ec00:dd:df:aff:ffff |
| 12 | fe80:c25a:ec00:ec00:dd:df:b00:0/104 | fe80:c25a:ec00:ec00:dd:df:bff:ffff |
| 13 | fe80:c25a:ec00:ec00:dd:df:c00:0/104 | fe80:c25a:ec00:ec00:dd:df:cff:ffff |
| 14 | fe80:c25a:ec00:ec00:dd:df:d00:0/104 | fe80:c25a:ec00:ec00:dd:df:dff:ffff |
| 15 | fe80:c25a:ec00:ec00:dd:df:e00:0/104 | fe80:c25a:ec00:ec00:dd:df:eff:ffff |
| 16 | fe80:c25a:ec00:ec00:dd:df:f00:0/104 | fe80:c25a:ec00:ec00:dd:df:fff:ffff |
| 17 | fe80:c25a:ec00:ec00:dd:df:1000:0/104 | fe80:c25a:ec00:ec00:dd:df:10ff:ffff |
| 18 | fe80:c25a:ec00:ec00:dd:df:1100:0/104 | fe80:c25a:ec00:ec00:dd:df:11ff:ffff |
| 19 | fe80:c25a:ec00:ec00:dd:df:1200:0/104 | fe80:c25a:ec00:ec00:dd:df:12ff:ffff |
| 20 | fe80:c25a:ec00:ec00:dd:df:1300:0/104 | fe80:c25a:ec00:ec00:dd:df:13ff:ffff |
| 21 | fe80:c25a:ec00:ec00:dd:df:1400:0/104 | fe80:c25a:ec00:ec00:dd:df:14ff:ffff |
| 22 | fe80:c25a:ec00:ec00:dd:df:1500:0/104 | fe80:c25a:ec00:ec00:dd:df:15ff:ffff |
| 23 | fe80:c25a:ec00:ec00:dd:df:1600:0/104 | fe80:c25a:ec00:ec00:dd:df:16ff:ffff |
| 24 | fe80:c25a:ec00:ec00:dd:df:1700:0/104 | fe80:c25a:ec00:ec00:dd:df:17ff:ffff |
| 25 | fe80:c25a:ec00:ec00:dd:df:1800:0/104 | fe80:c25a:ec00:ec00:dd:df:18ff:ffff |
| 26 | fe80:c25a:ec00:ec00:dd:df:1900:0/104 | fe80:c25a:ec00:ec00:dd:df:19ff:ffff |
| 27 | fe80:c25a:ec00:ec00:dd:df:1a00:0/104 | fe80:c25a:ec00:ec00:dd:df:1aff:ffff |
| 28 | fe80:c25a:ec00:ec00:dd:df:1b00:0/104 | fe80:c25a:ec00:ec00:dd:df:1bff:ffff |
| 29 | fe80:c25a:ec00:ec00:dd:df:1c00:0/104 | fe80:c25a:ec00:ec00:dd:df:1cff:ffff |
| 30 | fe80:c25a:ec00:ec00:dd:df:1d00:0/104 | fe80:c25a:ec00:ec00:dd:df:1dff:ffff |
| 31 | fe80:c25a:ec00:ec00:dd:df:1e00:0/104 | fe80:c25a:ec00:ec00:dd:df:1eff:ffff |
| 32 | fe80:c25a:ec00:ec00:dd:df:1f00:0/104 | fe80:c25a:ec00:ec00:dd:df:1fff:ffff |
| 33 | fe80:c25a:ec00:ec00:dd:df:2000:0/104 | fe80:c25a:ec00:ec00:dd:df:20ff:ffff |
| 34 | fe80:c25a:ec00:ec00:dd:df:2100:0/104 | fe80:c25a:ec00:ec00:dd:df:21ff:ffff |
| 35 | fe80:c25a:ec00:ec00:dd:df:2200:0/104 | fe80:c25a:ec00:ec00:dd:df:22ff:ffff |
| 36 | fe80:c25a:ec00:ec00:dd:df:2300:0/104 | fe80:c25a:ec00:ec00:dd:df:23ff:ffff |
| 37 | fe80:c25a:ec00:ec00:dd:df:2400:0/104 | fe80:c25a:ec00:ec00:dd:df:24ff:ffff |
| 38 | fe80:c25a:ec00:ec00:dd:df:2500:0/104 | fe80:c25a:ec00:ec00:dd:df:25ff:ffff |
| 39 | fe80:c25a:ec00:ec00:dd:df:2600:0/104 | fe80:c25a:ec00:ec00:dd:df:26ff:ffff |
| 40 | fe80:c25a:ec00:ec00:dd:df:2700:0/104 | fe80:c25a:ec00:ec00:dd:df:27ff:ffff |
| 41 | fe80:c25a:ec00:ec00:dd:df:2800:0/104 | fe80:c25a:ec00:ec00:dd:df:28ff:ffff |
| 42 | fe80:c25a:ec00:ec00:dd:df:2900:0/104 | fe80:c25a:ec00:ec00:dd:df:29ff:ffff |
| 43 | fe80:c25a:ec00:ec00:dd:df:2a00:0/104 | fe80:c25a:ec00:ec00:dd:df:2aff:ffff |
| 44 | fe80:c25a:ec00:ec00:dd:df:2b00:0/104 | fe80:c25a:ec00:ec00:dd:df:2bff:ffff |
| 45 | fe80:c25a:ec00:ec00:dd:df:2c00:0/104 | fe80:c25a:ec00:ec00:dd:df:2cff:ffff |
| 46 | fe80:c25a:ec00:ec00:dd:df:2d00:0/104 | fe80:c25a:ec00:ec00:dd:df:2dff:ffff |
| 47 | fe80:c25a:ec00:ec00:dd:df:2e00:0/104 | fe80:c25a:ec00:ec00:dd:df:2eff:ffff |
| 48 | fe80:c25a:ec00:ec00:dd:df:2f00:0/104 | fe80:c25a:ec00:ec00:dd:df:2fff:ffff |
| 49 | fe80:c25a:ec00:ec00:dd:df:3000:0/104 | fe80:c25a:ec00:ec00:dd:df:30ff:ffff |
| 50 | fe80:c25a:ec00:ec00:dd:df:3100:0/104 | fe80:c25a:ec00:ec00:dd:df:31ff:ffff |
| 51 | fe80:c25a:ec00:ec00:dd:df:3200:0/104 | fe80:c25a:ec00:ec00:dd:df:32ff:ffff |
| 52 | fe80:c25a:ec00:ec00:dd:df:3300:0/104 | fe80:c25a:ec00:ec00:dd:df:33ff:ffff |
| 53 | fe80:c25a:ec00:ec00:dd:df:3400:0/104 | fe80:c25a:ec00:ec00:dd:df:34ff:ffff |
| 54 | fe80:c25a:ec00:ec00:dd:df:3500:0/104 | fe80:c25a:ec00:ec00:dd:df:35ff:ffff |
| 55 | fe80:c25a:ec00:ec00:dd:df:3600:0/104 | fe80:c25a:ec00:ec00:dd:df:36ff:ffff |
| 56 | fe80:c25a:ec00:ec00:dd:df:3700:0/104 | fe80:c25a:ec00:ec00:dd:df:37ff:ffff |
| 57 | fe80:c25a:ec00:ec00:dd:df:3800:0/104 | fe80:c25a:ec00:ec00:dd:df:38ff:ffff |
| 58 | fe80:c25a:ec00:ec00:dd:df:3900:0/104 | fe80:c25a:ec00:ec00:dd:df:39ff:ffff |
| 59 | fe80:c25a:ec00:ec00:dd:df:3a00:0/104 | fe80:c25a:ec00:ec00:dd:df:3aff:ffff |
| 60 | fe80:c25a:ec00:ec00:dd:df:3b00:0/104 | fe80:c25a:ec00:ec00:dd:df:3bff:ffff |
| 61 | fe80:c25a:ec00:ec00:dd:df:3c00:0/104 | fe80:c25a:ec00:ec00:dd:df:3cff:ffff |
| 62 | fe80:c25a:ec00:ec00:dd:df:3d00:0/104 | fe80:c25a:ec00:ec00:dd:df:3dff:ffff |
| 63 | fe80:c25a:ec00:ec00:dd:df:3e00:0/104 | fe80:c25a:ec00:ec00:dd:df:3eff:ffff |
| 64 | fe80:c25a:ec00:ec00:dd:df:3f00:0/104 | fe80:c25a:ec00:ec00:dd:df:3fff:ffff |
| 65 | fe80:c25a:ec00:ec00:dd:df:4000:0/104 | fe80:c25a:ec00:ec00:dd:df:40ff:ffff |
| 66 | fe80:c25a:ec00:ec00:dd:df:4100:0/104 | fe80:c25a:ec00:ec00:dd:df:41ff:ffff |
| 67 | fe80:c25a:ec00:ec00:dd:df:4200:0/104 | fe80:c25a:ec00:ec00:dd:df:42ff:ffff |
| 68 | fe80:c25a:ec00:ec00:dd:df:4300:0/104 | fe80:c25a:ec00:ec00:dd:df:43ff:ffff |
| 69 | fe80:c25a:ec00:ec00:dd:df:4400:0/104 | fe80:c25a:ec00:ec00:dd:df:44ff:ffff |
| 70 | fe80:c25a:ec00:ec00:dd:df:4500:0/104 | fe80:c25a:ec00:ec00:dd:df:45ff:ffff |
| 71 | fe80:c25a:ec00:ec00:dd:df:4600:0/104 | fe80:c25a:ec00:ec00:dd:df:46ff:ffff |
| 72 | fe80:c25a:ec00:ec00:dd:df:4700:0/104 | fe80:c25a:ec00:ec00:dd:df:47ff:ffff |
| 73 | fe80:c25a:ec00:ec00:dd:df:4800:0/104 | fe80:c25a:ec00:ec00:dd:df:48ff:ffff |
| 74 | fe80:c25a:ec00:ec00:dd:df:4900:0/104 | fe80:c25a:ec00:ec00:dd:df:49ff:ffff |
| 75 | fe80:c25a:ec00:ec00:dd:df:4a00:0/104 | fe80:c25a:ec00:ec00:dd:df:4aff:ffff |
| 76 | fe80:c25a:ec00:ec00:dd:df:4b00:0/104 | fe80:c25a:ec00:ec00:dd:df:4bff:ffff |
| 77 | fe80:c25a:ec00:ec00:dd:df:4c00:0/104 | fe80:c25a:ec00:ec00:dd:df:4cff:ffff |
| 78 | fe80:c25a:ec00:ec00:dd:df:4d00:0/104 | fe80:c25a:ec00:ec00:dd:df:4dff:ffff |
| 79 | fe80:c25a:ec00:ec00:dd:df:4e00:0/104 | fe80:c25a:ec00:ec00:dd:df:4eff:ffff |
| 80 | fe80:c25a:ec00:ec00:dd:df:4f00:0/104 | fe80:c25a:ec00:ec00:dd:df:4fff:ffff |
| 81 | fe80:c25a:ec00:ec00:dd:df:5000:0/104 | fe80:c25a:ec00:ec00:dd:df:50ff:ffff |
| 82 | fe80:c25a:ec00:ec00:dd:df:5100:0/104 | fe80:c25a:ec00:ec00:dd:df:51ff:ffff |
| 83 | fe80:c25a:ec00:ec00:dd:df:5200:0/104 | fe80:c25a:ec00:ec00:dd:df:52ff:ffff |
| 84 | fe80:c25a:ec00:ec00:dd:df:5300:0/104 | fe80:c25a:ec00:ec00:dd:df:53ff:ffff |
| 85 | fe80:c25a:ec00:ec00:dd:df:5400:0/104 | fe80:c25a:ec00:ec00:dd:df:54ff:ffff |
| 86 | fe80:c25a:ec00:ec00:dd:df:5500:0/104 | fe80:c25a:ec00:ec00:dd:df:55ff:ffff |
| 87 | fe80:c25a:ec00:ec00:dd:df:5600:0/104 | fe80:c25a:ec00:ec00:dd:df:56ff:ffff |
| 88 | fe80:c25a:ec00:ec00:dd:df:5700:0/104 | fe80:c25a:ec00:ec00:dd:df:57ff:ffff |
| 89 | fe80:c25a:ec00:ec00:dd:df:5800:0/104 | fe80:c25a:ec00:ec00:dd:df:58ff:ffff |
| 90 | fe80:c25a:ec00:ec00:dd:df:5900:0/104 | fe80:c25a:ec00:ec00:dd:df:59ff:ffff |
| 91 | fe80:c25a:ec00:ec00:dd:df:5a00:0/104 | fe80:c25a:ec00:ec00:dd:df:5aff:ffff |
| 92 | fe80:c25a:ec00:ec00:dd:df:5b00:0/104 | fe80:c25a:ec00:ec00:dd:df:5bff:ffff |
| 93 | fe80:c25a:ec00:ec00:dd:df:5c00:0/104 | fe80:c25a:ec00:ec00:dd:df:5cff:ffff |
| 94 | fe80:c25a:ec00:ec00:dd:df:5d00:0/104 | fe80:c25a:ec00:ec00:dd:df:5dff:ffff |
| 95 | fe80:c25a:ec00:ec00:dd:df:5e00:0/104 | fe80:c25a:ec00:ec00:dd:df:5eff:ffff |
| 96 | fe80:c25a:ec00:ec00:dd:df:5f00:0/104 | fe80:c25a:ec00:ec00:dd:df:5fff:ffff |
| 97 | fe80:c25a:ec00:ec00:dd:df:6000:0/104 | fe80:c25a:ec00:ec00:dd:df:60ff:ffff |
| 98 | fe80:c25a:ec00:ec00:dd:df:6100:0/104 | fe80:c25a:ec00:ec00:dd:df:61ff:ffff |
| 99 | fe80:c25a:ec00:ec00:dd:df:6200:0/104 | fe80:c25a:ec00:ec00:dd:df:62ff:ffff |
| 100 | fe80:c25a:ec00:ec00:dd:df:6300:0/104 | fe80:c25a:ec00:ec00:dd:df:63ff:ffff |
| 101 | fe80:c25a:ec00:ec00:dd:df:6400:0/104 | fe80:c25a:ec00:ec00:dd:df:64ff:ffff |
| 102 | fe80:c25a:ec00:ec00:dd:df:6500:0/104 | fe80:c25a:ec00:ec00:dd:df:65ff:ffff |
| 103 | fe80:c25a:ec00:ec00:dd:df:6600:0/104 | fe80:c25a:ec00:ec00:dd:df:66ff:ffff |
| 104 | fe80:c25a:ec00:ec00:dd:df:6700:0/104 | fe80:c25a:ec00:ec00:dd:df:67ff:ffff |
| 105 | fe80:c25a:ec00:ec00:dd:df:6800:0/104 | fe80:c25a:ec00:ec00:dd:df:68ff:ffff |
| 106 | fe80:c25a:ec00:ec00:dd:df:6900:0/104 | fe80:c25a:ec00:ec00:dd:df:69ff:ffff |
| 107 | fe80:c25a:ec00:ec00:dd:df:6a00:0/104 | fe80:c25a:ec00:ec00:dd:df:6aff:ffff |
| 108 | fe80:c25a:ec00:ec00:dd:df:6b00:0/104 | fe80:c25a:ec00:ec00:dd:df:6bff:ffff |
| 109 | fe80:c25a:ec00:ec00:dd:df:6c00:0/104 | fe80:c25a:ec00:ec00:dd:df:6cff:ffff |
| 110 | fe80:c25a:ec00:ec00:dd:df:6d00:0/104 | fe80:c25a:ec00:ec00:dd:df:6dff:ffff |
| 111 | fe80:c25a:ec00:ec00:dd:df:6e00:0/104 | fe80:c25a:ec00:ec00:dd:df:6eff:ffff |
| 112 | fe80:c25a:ec00:ec00:dd:df:6f00:0/104 | fe80:c25a:ec00:ec00:dd:df:6fff:ffff |
| 113 | fe80:c25a:ec00:ec00:dd:df:7000:0/104 | fe80:c25a:ec00:ec00:dd:df:70ff:ffff |
| 114 | fe80:c25a:ec00:ec00:dd:df:7100:0/104 | fe80:c25a:ec00:ec00:dd:df:71ff:ffff |
| 115 | fe80:c25a:ec00:ec00:dd:df:7200:0/104 | fe80:c25a:ec00:ec00:dd:df:72ff:ffff |
| 116 | fe80:c25a:ec00:ec00:dd:df:7300:0/104 | fe80:c25a:ec00:ec00:dd:df:73ff:ffff |
| 117 | fe80:c25a:ec00:ec00:dd:df:7400:0/104 | fe80:c25a:ec00:ec00:dd:df:74ff:ffff |
| 118 | fe80:c25a:ec00:ec00:dd:df:7500:0/104 | fe80:c25a:ec00:ec00:dd:df:75ff:ffff |
| 119 | fe80:c25a:ec00:ec00:dd:df:7600:0/104 | fe80:c25a:ec00:ec00:dd:df:76ff:ffff |
| 120 | fe80:c25a:ec00:ec00:dd:df:7700:0/104 | fe80:c25a:ec00:ec00:dd:df:77ff:ffff |
| 121 | fe80:c25a:ec00:ec00:dd:df:7800:0/104 | fe80:c25a:ec00:ec00:dd:df:78ff:ffff |
| 122 | fe80:c25a:ec00:ec00:dd:df:7900:0/104 | fe80:c25a:ec00:ec00:dd:df:79ff:ffff |
| 123 | fe80:c25a:ec00:ec00:dd:df:7a00:0/104 | fe80:c25a:ec00:ec00:dd:df:7aff:ffff |
| 124 | fe80:c25a:ec00:ec00:dd:df:7b00:0/104 | fe80:c25a:ec00:ec00:dd:df:7bff:ffff |
| 125 | fe80:c25a:ec00:ec00:dd:df:7c00:0/104 | fe80:c25a:ec00:ec00:dd:df:7cff:ffff |
| 126 | fe80:c25a:ec00:ec00:dd:df:7d00:0/104 | fe80:c25a:ec00:ec00:dd:df:7dff:ffff |
| 127 | fe80:c25a:ec00:ec00:dd:df:7e00:0/104 | fe80:c25a:ec00:ec00:dd:df:7eff:ffff |
| 128 | fe80:c25a:ec00:ec00:dd:df:7f00:0/104 | fe80:c25a:ec00:ec00:dd:df:7fff:ffff |
| 129 | fe80:c25a:ec00:ec00:dd:df:8000:0/104 | fe80:c25a:ec00:ec00:dd:df:80ff:ffff |
| 130 | fe80:c25a:ec00:ec00:dd:df:8100:0/104 | fe80:c25a:ec00:ec00:dd:df:81ff:ffff |
| 131 | fe80:c25a:ec00:ec00:dd:df:8200:0/104 | fe80:c25a:ec00:ec00:dd:df:82ff:ffff |
| 132 | fe80:c25a:ec00:ec00:dd:df:8300:0/104 | fe80:c25a:ec00:ec00:dd:df:83ff:ffff |
| 133 | fe80:c25a:ec00:ec00:dd:df:8400:0/104 | fe80:c25a:ec00:ec00:dd:df:84ff:ffff |
| 134 | fe80:c25a:ec00:ec00:dd:df:8500:0/104 | fe80:c25a:ec00:ec00:dd:df:85ff:ffff |
| 135 | fe80:c25a:ec00:ec00:dd:df:8600:0/104 | fe80:c25a:ec00:ec00:dd:df:86ff:ffff |
| 136 | fe80:c25a:ec00:ec00:dd:df:8700:0/104 | fe80:c25a:ec00:ec00:dd:df:87ff:ffff |
| 137 | fe80:c25a:ec00:ec00:dd:df:8800:0/104 | fe80:c25a:ec00:ec00:dd:df:88ff:ffff |
| 138 | fe80:c25a:ec00:ec00:dd:df:8900:0/104 | fe80:c25a:ec00:ec00:dd:df:89ff:ffff |
| 139 | fe80:c25a:ec00:ec00:dd:df:8a00:0/104 | fe80:c25a:ec00:ec00:dd:df:8aff:ffff |
| 140 | fe80:c25a:ec00:ec00:dd:df:8b00:0/104 | fe80:c25a:ec00:ec00:dd:df:8bff:ffff |
| 141 | fe80:c25a:ec00:ec00:dd:df:8c00:0/104 | fe80:c25a:ec00:ec00:dd:df:8cff:ffff |
| 142 | fe80:c25a:ec00:ec00:dd:df:8d00:0/104 | fe80:c25a:ec00:ec00:dd:df:8dff:ffff |
| 143 | fe80:c25a:ec00:ec00:dd:df:8e00:0/104 | fe80:c25a:ec00:ec00:dd:df:8eff:ffff |
| 144 | fe80:c25a:ec00:ec00:dd:df:8f00:0/104 | fe80:c25a:ec00:ec00:dd:df:8fff:ffff |
| 145 | fe80:c25a:ec00:ec00:dd:df:9000:0/104 | fe80:c25a:ec00:ec00:dd:df:90ff:ffff |
| 146 | fe80:c25a:ec00:ec00:dd:df:9100:0/104 | fe80:c25a:ec00:ec00:dd:df:91ff:ffff |
| 147 | fe80:c25a:ec00:ec00:dd:df:9200:0/104 | fe80:c25a:ec00:ec00:dd:df:92ff:ffff |
| 148 | fe80:c25a:ec00:ec00:dd:df:9300:0/104 | fe80:c25a:ec00:ec00:dd:df:93ff:ffff |
| 149 | fe80:c25a:ec00:ec00:dd:df:9400:0/104 | fe80:c25a:ec00:ec00:dd:df:94ff:ffff |
| 150 | fe80:c25a:ec00:ec00:dd:df:9500:0/104 | fe80:c25a:ec00:ec00:dd:df:95ff:ffff |
| 151 | fe80:c25a:ec00:ec00:dd:df:9600:0/104 | fe80:c25a:ec00:ec00:dd:df:96ff:ffff |
| 152 | fe80:c25a:ec00:ec00:dd:df:9700:0/104 | fe80:c25a:ec00:ec00:dd:df:97ff:ffff |
| 153 | fe80:c25a:ec00:ec00:dd:df:9800:0/104 | fe80:c25a:ec00:ec00:dd:df:98ff:ffff |
| 154 | fe80:c25a:ec00:ec00:dd:df:9900:0/104 | fe80:c25a:ec00:ec00:dd:df:99ff:ffff |
| 155 | fe80:c25a:ec00:ec00:dd:df:9a00:0/104 | fe80:c25a:ec00:ec00:dd:df:9aff:ffff |
| 156 | fe80:c25a:ec00:ec00:dd:df:9b00:0/104 | fe80:c25a:ec00:ec00:dd:df:9bff:ffff |
| 157 | fe80:c25a:ec00:ec00:dd:df:9c00:0/104 | fe80:c25a:ec00:ec00:dd:df:9cff:ffff |
| 158 | fe80:c25a:ec00:ec00:dd:df:9d00:0/104 | fe80:c25a:ec00:ec00:dd:df:9dff:ffff |
| 159 | fe80:c25a:ec00:ec00:dd:df:9e00:0/104 | fe80:c25a:ec00:ec00:dd:df:9eff:ffff |
| 160 | fe80:c25a:ec00:ec00:dd:df:9f00:0/104 | fe80:c25a:ec00:ec00:dd:df:9fff:ffff |
| 161 | fe80:c25a:ec00:ec00:dd:df:a000:0/104 | fe80:c25a:ec00:ec00:dd:df:a0ff:ffff |
| 162 | fe80:c25a:ec00:ec00:dd:df:a100:0/104 | fe80:c25a:ec00:ec00:dd:df:a1ff:ffff |
| 163 | fe80:c25a:ec00:ec00:dd:df:a200:0/104 | fe80:c25a:ec00:ec00:dd:df:a2ff:ffff |
| 164 | fe80:c25a:ec00:ec00:dd:df:a300:0/104 | fe80:c25a:ec00:ec00:dd:df:a3ff:ffff |
| 165 | fe80:c25a:ec00:ec00:dd:df:a400:0/104 | fe80:c25a:ec00:ec00:dd:df:a4ff:ffff |
| 166 | fe80:c25a:ec00:ec00:dd:df:a500:0/104 | fe80:c25a:ec00:ec00:dd:df:a5ff:ffff |
| 167 | fe80:c25a:ec00:ec00:dd:df:a600:0/104 | fe80:c25a:ec00:ec00:dd:df:a6ff:ffff |
| 168 | fe80:c25a:ec00:ec00:dd:df:a700:0/104 | fe80:c25a:ec00:ec00:dd:df:a7ff:ffff |
| 169 | fe80:c25a:ec00:ec00:dd:df:a800:0/104 | fe80:c25a:ec00:ec00:dd:df:a8ff:ffff |
| 170 | fe80:c25a:ec00:ec00:dd:df:a900:0/104 | fe80:c25a:ec00:ec00:dd:df:a9ff:ffff |
| 171 | fe80:c25a:ec00:ec00:dd:df:aa00:0/104 | fe80:c25a:ec00:ec00:dd:df:aaff:ffff |
| 172 | fe80:c25a:ec00:ec00:dd:df:ab00:0/104 | fe80:c25a:ec00:ec00:dd:df:abff:ffff |
| 173 | fe80:c25a:ec00:ec00:dd:df:ac00:0/104 | fe80:c25a:ec00:ec00:dd:df:acff:ffff |
| 174 | fe80:c25a:ec00:ec00:dd:df:ad00:0/104 | fe80:c25a:ec00:ec00:dd:df:adff:ffff |
| 175 | fe80:c25a:ec00:ec00:dd:df:ae00:0/104 | fe80:c25a:ec00:ec00:dd:df:aeff:ffff |
| 176 | fe80:c25a:ec00:ec00:dd:df:af00:0/104 | fe80:c25a:ec00:ec00:dd:df:afff:ffff |
| 177 | fe80:c25a:ec00:ec00:dd:df:b000:0/104 | fe80:c25a:ec00:ec00:dd:df:b0ff:ffff |
| 178 | fe80:c25a:ec00:ec00:dd:df:b100:0/104 | fe80:c25a:ec00:ec00:dd:df:b1ff:ffff |
| 179 | fe80:c25a:ec00:ec00:dd:df:b200:0/104 | fe80:c25a:ec00:ec00:dd:df:b2ff:ffff |
| 180 | fe80:c25a:ec00:ec00:dd:df:b300:0/104 | fe80:c25a:ec00:ec00:dd:df:b3ff:ffff |
| 181 | fe80:c25a:ec00:ec00:dd:df:b400:0/104 | fe80:c25a:ec00:ec00:dd:df:b4ff:ffff |
| 182 | fe80:c25a:ec00:ec00:dd:df:b500:0/104 | fe80:c25a:ec00:ec00:dd:df:b5ff:ffff |
| 183 | fe80:c25a:ec00:ec00:dd:df:b600:0/104 | fe80:c25a:ec00:ec00:dd:df:b6ff:ffff |
| 184 | fe80:c25a:ec00:ec00:dd:df:b700:0/104 | fe80:c25a:ec00:ec00:dd:df:b7ff:ffff |
| 185 | fe80:c25a:ec00:ec00:dd:df:b800:0/104 | fe80:c25a:ec00:ec00:dd:df:b8ff:ffff |
| 186 | fe80:c25a:ec00:ec00:dd:df:b900:0/104 | fe80:c25a:ec00:ec00:dd:df:b9ff:ffff |
| 187 | fe80:c25a:ec00:ec00:dd:df:ba00:0/104 | fe80:c25a:ec00:ec00:dd:df:baff:ffff |
| 188 | fe80:c25a:ec00:ec00:dd:df:bb00:0/104 | fe80:c25a:ec00:ec00:dd:df:bbff:ffff |
| 189 | fe80:c25a:ec00:ec00:dd:df:bc00:0/104 | fe80:c25a:ec00:ec00:dd:df:bcff:ffff |
| 190 | fe80:c25a:ec00:ec00:dd:df:bd00:0/104 | fe80:c25a:ec00:ec00:dd:df:bdff:ffff |
| 191 | fe80:c25a:ec00:ec00:dd:df:be00:0/104 | fe80:c25a:ec00:ec00:dd:df:beff:ffff |
| 192 | fe80:c25a:ec00:ec00:dd:df:bf00:0/104 | fe80:c25a:ec00:ec00:dd:df:bfff:ffff |
| 193 | fe80:c25a:ec00:ec00:dd:df:c000:0/104 | fe80:c25a:ec00:ec00:dd:df:c0ff:ffff |
| 194 | fe80:c25a:ec00:ec00:dd:df:c100:0/104 | fe80:c25a:ec00:ec00:dd:df:c1ff:ffff |
| 195 | fe80:c25a:ec00:ec00:dd:df:c200:0/104 | fe80:c25a:ec00:ec00:dd:df:c2ff:ffff |
| 196 | fe80:c25a:ec00:ec00:dd:df:c300:0/104 | fe80:c25a:ec00:ec00:dd:df:c3ff:ffff |
| 197 | fe80:c25a:ec00:ec00:dd:df:c400:0/104 | fe80:c25a:ec00:ec00:dd:df:c4ff:ffff |
| 198 | fe80:c25a:ec00:ec00:dd:df:c500:0/104 | fe80:c25a:ec00:ec00:dd:df:c5ff:ffff |
| 199 | fe80:c25a:ec00:ec00:dd:df:c600:0/104 | fe80:c25a:ec00:ec00:dd:df:c6ff:ffff |
| 200 | fe80:c25a:ec00:ec00:dd:df:c700:0/104 | fe80:c25a:ec00:ec00:dd:df:c7ff:ffff |
| 201 | fe80:c25a:ec00:ec00:dd:df:c800:0/104 | fe80:c25a:ec00:ec00:dd:df:c8ff:ffff |
| 202 | fe80:c25a:ec00:ec00:dd:df:c900:0/104 | fe80:c25a:ec00:ec00:dd:df:c9ff:ffff |
| 203 | fe80:c25a:ec00:ec00:dd:df:ca00:0/104 | fe80:c25a:ec00:ec00:dd:df:caff:ffff |
| 204 | fe80:c25a:ec00:ec00:dd:df:cb00:0/104 | fe80:c25a:ec00:ec00:dd:df:cbff:ffff |
| 205 | fe80:c25a:ec00:ec00:dd:df:cc00:0/104 | fe80:c25a:ec00:ec00:dd:df:ccff:ffff |
| 206 | fe80:c25a:ec00:ec00:dd:df:cd00:0/104 | fe80:c25a:ec00:ec00:dd:df:cdff:ffff |
| 207 | fe80:c25a:ec00:ec00:dd:df:ce00:0/104 | fe80:c25a:ec00:ec00:dd:df:ceff:ffff |
| 208 | fe80:c25a:ec00:ec00:dd:df:cf00:0/104 | fe80:c25a:ec00:ec00:dd:df:cfff:ffff |
| 209 | fe80:c25a:ec00:ec00:dd:df:d000:0/104 | fe80:c25a:ec00:ec00:dd:df:d0ff:ffff |
| 210 | fe80:c25a:ec00:ec00:dd:df:d100:0/104 | fe80:c25a:ec00:ec00:dd:df:d1ff:ffff |
| 211 | fe80:c25a:ec00:ec00:dd:df:d200:0/104 | fe80:c25a:ec00:ec00:dd:df:d2ff:ffff |
| 212 | fe80:c25a:ec00:ec00:dd:df:d300:0/104 | fe80:c25a:ec00:ec00:dd:df:d3ff:ffff |
| 213 | fe80:c25a:ec00:ec00:dd:df:d400:0/104 | fe80:c25a:ec00:ec00:dd:df:d4ff:ffff |
| 214 | fe80:c25a:ec00:ec00:dd:df:d500:0/104 | fe80:c25a:ec00:ec00:dd:df:d5ff:ffff |
| 215 | fe80:c25a:ec00:ec00:dd:df:d600:0/104 | fe80:c25a:ec00:ec00:dd:df:d6ff:ffff |
| 216 | fe80:c25a:ec00:ec00:dd:df:d700:0/104 | fe80:c25a:ec00:ec00:dd:df:d7ff:ffff |
| 217 | fe80:c25a:ec00:ec00:dd:df:d800:0/104 | fe80:c25a:ec00:ec00:dd:df:d8ff:ffff |
| 218 | fe80:c25a:ec00:ec00:dd:df:d900:0/104 | fe80:c25a:ec00:ec00:dd:df:d9ff:ffff |
| 219 | fe80:c25a:ec00:ec00:dd:df:da00:0/104 | fe80:c25a:ec00:ec00:dd:df:daff:ffff |
| 220 | fe80:c25a:ec00:ec00:dd:df:db00:0/104 | fe80:c25a:ec00:ec00:dd:df:dbff:ffff |
| 221 | fe80:c25a:ec00:ec00:dd:df:dc00:0/104 | fe80:c25a:ec00:ec00:dd:df:dcff:ffff |
| 222 | fe80:c25a:ec00:ec00:dd:df:dd00:0/104 | fe80:c25a:ec00:ec00:dd:df:ddff:ffff |
| 223 | fe80:c25a:ec00:ec00:dd:df:de00:0/104 | fe80:c25a:ec00:ec00:dd:df:deff:ffff |
| 224 | fe80:c25a:ec00:ec00:dd:df:df00:0/104 | fe80:c25a:ec00:ec00:dd:df:dfff:ffff |
| 225 | fe80:c25a:ec00:ec00:dd:df:e000:0/104 | fe80:c25a:ec00:ec00:dd:df:e0ff:ffff |
| 226 | fe80:c25a:ec00:ec00:dd:df:e100:0/104 | fe80:c25a:ec00:ec00:dd:df:e1ff:ffff |
| 227 | fe80:c25a:ec00:ec00:dd:df:e200:0/104 | fe80:c25a:ec00:ec00:dd:df:e2ff:ffff |
| 228 | fe80:c25a:ec00:ec00:dd:df:e300:0/104 | fe80:c25a:ec00:ec00:dd:df:e3ff:ffff |
| 229 | fe80:c25a:ec00:ec00:dd:df:e400:0/104 | fe80:c25a:ec00:ec00:dd:df:e4ff:ffff |
| 230 | fe80:c25a:ec00:ec00:dd:df:e500:0/104 | fe80:c25a:ec00:ec00:dd:df:e5ff:ffff |
| 231 | fe80:c25a:ec00:ec00:dd:df:e600:0/104 | fe80:c25a:ec00:ec00:dd:df:e6ff:ffff |
| 232 | fe80:c25a:ec00:ec00:dd:df:e700:0/104 | fe80:c25a:ec00:ec00:dd:df:e7ff:ffff |
| 233 | fe80:c25a:ec00:ec00:dd:df:e800:0/104 | fe80:c25a:ec00:ec00:dd:df:e8ff:ffff |
| 234 | fe80:c25a:ec00:ec00:dd:df:e900:0/104 | fe80:c25a:ec00:ec00:dd:df:e9ff:ffff |
| 235 | fe80:c25a:ec00:ec00:dd:df:ea00:0/104 | fe80:c25a:ec00:ec00:dd:df:eaff:ffff |
| 236 | fe80:c25a:ec00:ec00:dd:df:eb00:0/104 | fe80:c25a:ec00:ec00:dd:df:ebff:ffff |
| 237 | fe80:c25a:ec00:ec00:dd:df:ec00:0/104 | fe80:c25a:ec00:ec00:dd:df:ecff:ffff |
| 238 | fe80:c25a:ec00:ec00:dd:df:ed00:0/104 | fe80:c25a:ec00:ec00:dd:df:edff:ffff |
| 239 | fe80:c25a:ec00:ec00:dd:df:ee00:0/104 | fe80:c25a:ec00:ec00:dd:df:eeff:ffff |
| 240 | fe80:c25a:ec00:ec00:dd:df:ef00:0/104 | fe80:c25a:ec00:ec00:dd:df:efff:ffff |
| 241 | fe80:c25a:ec00:ec00:dd:df:f000:0/104 | fe80:c25a:ec00:ec00:dd:df:f0ff:ffff |
| 242 | fe80:c25a:ec00:ec00:dd:df:f100:0/104 | fe80:c25a:ec00:ec00:dd:df:f1ff:ffff |
| 243 | fe80:c25a:ec00:ec00:dd:df:f200:0/104 | fe80:c25a:ec00:ec00:dd:df:f2ff:ffff |
| 244 | fe80:c25a:ec00:ec00:dd:df:f300:0/104 | fe80:c25a:ec00:ec00:dd:df:f3ff:ffff |
| 245 | fe80:c25a:ec00:ec00:dd:df:f400:0/104 | fe80:c25a:ec00:ec00:dd:df:f4ff:ffff |
| 246 | fe80:c25a:ec00:ec00:dd:df:f500:0/104 | fe80:c25a:ec00:ec00:dd:df:f5ff:ffff |
| 247 | fe80:c25a:ec00:ec00:dd:df:f600:0/104 | fe80:c25a:ec00:ec00:dd:df:f6ff:ffff |
| 248 | fe80:c25a:ec00:ec00:dd:df:f700:0/104 | fe80:c25a:ec00:ec00:dd:df:f7ff:ffff |
| 249 | fe80:c25a:ec00:ec00:dd:df:f800:0/104 | fe80:c25a:ec00:ec00:dd:df:f8ff:ffff |
| 250 | fe80:c25a:ec00:ec00:dd:df:f900:0/104 | fe80:c25a:ec00:ec00:dd:df:f9ff:ffff |
| 251 | fe80:c25a:ec00:ec00:dd:df:fa00:0/104 | fe80:c25a:ec00:ec00:dd:df:faff:ffff |
| 252 | fe80:c25a:ec00:ec00:dd:df:fb00:0/104 | fe80:c25a:ec00:ec00:dd:df:fbff:ffff |
| 253 | fe80:c25a:ec00:ec00:dd:df:fc00:0/104 | fe80:c25a:ec00:ec00:dd:df:fcff:ffff |
| 254 | fe80:c25a:ec00:ec00:dd:df:fd00:0/104 | fe80:c25a:ec00:ec00:dd:df:fdff:ffff |
| 255 | fe80:c25a:ec00:ec00:dd:df:fe00:0/104 | fe80:c25a:ec00:ec00:dd:df:feff:ffff |
| 256 | fe80:c25a:ec00:ec00:dd:df:ff00:0/104 | fe80:c25a:ec00:ec00:dd:df:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |